import 'package:fis_ui/index.dart';
import 'package:flutter/material.dart';
import 'package:flyinsono/architecture/define.dart';

import 'index.dart';

class NotFoundPage extends FisView<NotFoundController> {
  const NotFoundPage({Key? key}) : super(key: key);

  // 内容页
  FWidget _buildNotFoundPageView() {
    return FCenter(
      child: FText(
        "Unregistered Route",
        style: const TextStyle(fontSize: 28, color: Color(0xffff0000)),
      ),
    );
  }

  @override
  FWidget build(BuildContext context) {
    return FScaffold(
      body: _buildNotFoundPageView(),
    );
  }
}
